# Functor Extended_sexp.Make_explicit_sexp_option

    module Make_explicit_sexp_option: functor (T : sig
    type t

    val explicit_sexp_option_fields : string list
    val t_of_sexp : Sexplib.Sexp.t -> t
    val sexp_of_t : t -> Sexplib.Sexp.tend) -> sig .. end

Parameters:

`T` | : | `sig type t with sexp val explicit_sexp_option_fields : string list end`

    type t = T.t

    val t_of_sexp : Sexplib.Sexp.t -> t

    val sexp_of_t : t -> Sexplib.Sexp.t